#************************************************************************************
# INSTALL SCRIPT HEADER - just change UpdateName to something not used before...
#************************************************************************************


WORKING_DIR=`pwd`

#preverimo, ali je ta update že nameščen
UpdateName="INTEL_410_TFTP"
DependsOnUpdateCheckFile="/RouletteMaster/Updates/installed/Fortleaton_sp2_to_Calcium/installed"
InstalledUpdatesDir="/RouletteMaster/Updates/installed/"$UpdateName"/"
UpdateLogFileName=$InstalledUpdatesDir"/"$UpdateName".log"

echo "Checking..."
if [ -f $InstalledUpdatesDir"/installed" ]; then 
	echo $UpdateName" is already installed."
#	exit 0; #update was already installed
fi;
#if [ ! -f $DependsOnUpdateCheckFile ]; then
#	echo "Dependency $DependsOnUpdateCheckFile not met."
#	echo "Install that first."
#	exit 0;#dependeny update not installed
#fi;


echo $UpdateName" pending for install."
echo "Please wait, installing..."
# shinhroniziramo datume datotek s časom na ciljnem sistemu
find . -exec /bin/touch '{}' \; #Recursive touch command

##izvedemo update database-a, predno ustavimo firebird
#DBUPDATE
#if [ -f UPDATE_DB.sql ]; then
#    /etc/sysconfig/network-scripts/ifdown eth0; #samo ce je potrebno
#    ./update_db.sh
#    /etc/sysconfig/network-scripts/ifup eth0; #samo ce je potrebno
#fi;

#************************************************************************************
# INSTALL SCRIPT BODY -- write your update commands here
#************************************************************************************
#/sbin/service firebird stop
sleep 5

#tmpfile=`mktemp /ClientRoot/RouletteFiles/QUBO/ps2_bkpXXX`
#cp /ClientRoot/RouletteFiles/QUBO/ps2 $tmpfile
echo -n "Copying ./ROOT to /    ..."
cp ./ROOT/* / -rf --reply=yes --preserve=all
echo "done."


#/sbin/service firebird start
#/sbin/service crond start
#/sbin/service roulette start
#/sbin/service addnewpsd start

#************************************************************************************
# INSTALL SCRIPT FOOTER - change command.sh..., and or phone_number
#************************************************************************************
#zapomnimo si, da smo ta update že namestili
#echo OK. > $InstalledUpdatesDir"/installed"

#Set this to whatever is needed(SHUTDOWN, RESTART, PLAYBOARDS_RESTART,...)
#/RouletteMaster/command.sh "PLAYBOARDS_RESTART_HARD"


#sporočimo
/RouletteMaster/sendsms.sh 38640333105 "Update successfull!"

echo Done. 
echo $UpdateName" was successfully installed on this system."
echo "Delete "$InstalledUpdatesDir$UpdateName", to reinstall."